#include "vulkan_instance.hpp"

namespace gz::vk {
    class Renderer {
        public:
            Renderer(VulkanInstance& instance) : vk(instance) {};
        protected:
            void cleanup_();
            VulkanInstance& vk;
            std::vector<VkCommandBuffer> commandBuffers;
            /// On device local memory
            VkBuffer vertexBuffer;
            VkDeviceMemory vertexBufferMemory;
            VkDeviceSize vertexBufferSize;
            VkBuffer indexBuffer;
            VkDeviceMemory indexBufferMemory;
            VkDeviceSize indexBufferSize;
    };  // class RendererBase
}  // namespace gz::vk
